Bug 1367971 - Review Request: plasma-applet-weather-widget
Summary: Review Request: plasma-applet-weather-widget
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-18 02:45 UTC by Gerald Cox
Modified: 2016-09-04 17:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-02 20:53:25 UTC
Type: Bug
Embargoed:
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Gerald Cox 2016-08-18 02:45:07 UTC
Fedora Account System Username:  gbcox

Location of source files:
Spec URL: https://gbcox.fedorapeople.org/review/plasma-applet-weather-widget.spec
SRPM URL: https://gbcox.fedorapeople.org/review/plasma-applet-weather-widget-1.6.7-1.fc24.src.rpm

Description:
Plasma 5 weather applet that uses forecast information from yr.no  

GitHub repository:  https://github.com/kotelnik/plasma-applet-weather-widget

Comment 1 Jerry James 2016-08-23 03:30:35 UTC
I will take this review.

Comment 2 Jerry James 2016-08-23 03:49:55 UTC
Issues
======
1. See the list of unowned directories generated by rpmlint below:
   - /usr/lib64/qt5/qml/org
   - /usr/lib64/qt5/qml/org/kde
   - /usr/lib64/qt5/qml/ord/kde/private
   - /usr/lib64/qt5/qml/org/kde/private/weatherWidget
   - /usr/share/plasma/plasmoids

2. The package contains a font file:
   /usr/share/plasma/plasmoids/org.kde.weatherWidget/contents/fonts/weathericons-regular-webfont-2.0.10.ttf

   See https://fedoraproject.org/wiki/Packaging:Guidelines#Avoid_bundling_of_fonts_in_other_packages
   for how this should be handled.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of
     /usr/lib64/qt5/qml/org/kde/private/weatherWidget,
     /usr/lib64/qt5/qml/org/kde, /usr/lib64/qt5/qml/org
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/plasma/plasmoids,
     /usr/lib64/qt5/qml/org, /usr/lib64/qt5/qml/org/kde/private,
     /usr/lib64/qt5/qml/org/kde/private/weatherWidget,
     /usr/lib64/qt5/qml/org/kde
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable. 
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described. 
[x]: Latest version is packaged. 
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock. 
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT) 
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items ===== 

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

     
Rpmlint
-------
Checking: plasma-applet-weather-widget-1.6.7-1.fc26.x86_64.rpm
          plasma-applet-weather-widget-debuginfo-1.6.7-1.fc26.x86_64.rpm
          plasma-applet-weather-widget-1.6.7-1.fc26.src.rpm
plasma-applet-weather-widget-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package plasma-applet-weather-widget.
3 packages and 0 specfiles checked; 1 errors, 0 warnings.



     
Rpmlint (debuginfo) 
-------------------
Checking: plasma-applet-weather-widget-debuginfo-1.6.7-1.fc26.x86_64.rpm
plasma-applet-weather-widget-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package plasma-applet-weather-widget.
1 packages and 0 specfiles checked; 1 errors, 0 warnings. 
     




Rpmlint (installed packages)
----------------------------
plasma-applet-weather-widget-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package plasma-applet-weather-widget.
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
plasma-applet-weather-widget-debuginfo (rpmlib, GLIBC filtered):

plasma-applet-weather-widget (rpmlib, GLIBC filtered):
    /bin/sh
    libKF5ConfigCore.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Package.so.5()(64bit)
    libKF5Plasma.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
plasma-applet-weather-widget-debuginfo:
    plasma-applet-weather-widget-debuginfo
    plasma-applet-weather-widget-debuginfo(x86-64)

plasma-applet-weather-widget:
    appdata()
    appdata(org.kde.weatherWidget.appdata.xml)
    libplasmoidplugin.so()(64bit)
    plasma-applet-weather-widget
    plasma-applet-weather-widget(x86-64)



Unversioned so-files
--------------------
plasma-applet-weather-widget: /usr/lib64/qt5/qml/org/kde/private/weatherWidget/libplasmoidplugin.so

Source checksums
----------------
https://github.com/kotelnik/plasma-applet-weather-widget/archive/v1.6.7.tar.gz#/plasma-applet-weather-widget-1.6.7.tar.gz :
  CHECKSUM(SHA256) this package     : 2f75b96c713ab2be65af6daa860b8df6c8116a7d54055f51a29e4425171237a7
  CHECKSUM(SHA256) upstream package : 2f75b96c713ab2be65af6daa860b8df6c8116a7d54055f51a29e4425171237a7


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1367971 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Gerald Cox 2016-08-23 19:37:51 UTC
Wow, that was fast... Thanks Jerry!

This is just a quick note to comment on some things before I lost track.
  
1.  Since the Fonts issue is a "should" I'll deal with that at another time.

2.  The "description too long" error is a known problem reported here:
https://bugzilla.redhat.com/show_bug.cgi?id=768393
I've re-opened, but apparently no one in the rpmlint team deems it worthy enough to even comment.
  
3.  I've submitted a question on the kde mailing list regarding the directories that were created by other packages that are not owned.  Regarding /usr/share/plasma/plasmoids; that directory is actually owned by two packages:

rpm -qf /usr/share/plasma/plasmoids
plasma-workspace-5.7.3-2.fc24.x86_64
plasma-desktop-5.7.3-1.fc24.x86_64

and appears to be this issue:
https://fedorahosted.org/FedoraReview/ticket/269

It has been tagged as *WONTFIX* "...this is not a false positive, fedora-review just cannot determine the directory owner. That is what the message says, it's not saying that there is no owner. Basically, it means that a manual check is necessary."

Regarding the other directories, I can certainly claim ownership to eliminate the error but I'm unsure if that is the correct thing to do.  I'll wait to hear back from the mailing list for guidance on that.  When I receive, I'll update this ticket.

I'm also going to remove the icon cache processing... that was an oversight on my part, it isn't needed.  There are no desktop icons.

Comment 4 Gerald Cox 2016-08-24 02:05:23 UTC
OK, I've revised the spec and src.rpm:
Location of source files:
Spec URL: https://gbcox.fedorapeople.org/review/plasma-applet-weather-widget.spec
SRPM URL: https://gbcox.fedorapeople.org/review/plasma-applet-weather-widget-1.6.7-2.fc24.src.rpm

Didn't hear anything back yet on the directory ownership, but as mentioned in the ticket:  https://fedorahosted.org/FedoraReview/ticket/269 - it's just notifying you that it could not determine the owner - and mentioning that my package must own any files it creates... and I do.  I didn't create those directories.  I could certainly take ownership and get rid of those messages by adding:

%dir %{_kf5_qmldir}/org/
%dir %{_kf5_qmldir}/org/kde/
%dir %{_kf5_qmldir}/org/kde/private/

but I don't think that would be appropriate since I did not create those directories.  It will need to be handled by whomever created them.

Comment 5 Jerry James 2016-08-24 02:48:48 UTC
(In reply to Gerald Cox from comment #4)
> Didn't hear anything back yet on the directory ownership, but as mentioned
> in the ticket:  https://fedorahosted.org/FedoraReview/ticket/269 - it's just
> notifying you that it could not determine the owner - and mentioning that my
> package must own any files it creates... and I do.  I didn't create those
> directories.  I could certainly take ownership and get rid of those messages
> by adding:
> 
> %dir %{_kf5_qmldir}/org/
> %dir %{_kf5_qmldir}/org/kde/
> %dir %{_kf5_qmldir}/org/kde/private/
> 
> but I don't think that would be appropriate since I did not create those
> directories.  It will need to be handled by whomever created them.

Agreed.  I see no further blocking issues, so this package is APPROVED.

Comment 6 Gerald Cox 2016-08-24 03:39:57 UTC
Great... thanks much Jerry.

Comment 7 Gwyn Ciesla 2016-08-24 11:44:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/plasma-applet-weather-widget

Comment 8 Gerald Cox 2016-08-24 17:06:22 UTC
Rex Dieter responded to the email on the KDE Mailing list:

Thanks, I've added ownership of these to kf5-kdeclarative and kf5-plasma
packages (rawhide), next kf5 update for stable releases will include the
fixes

-- Rex

Comment 9 Fedora Update System 2016-08-24 17:50:30 UTC
plasma-applet-weather-widget-1.6.7-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca227e0f2d

Comment 10 Fedora Update System 2016-08-25 02:11:59 UTC
plasma-applet-weather-widget-1.6.7-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8809eec46

Comment 11 Gerald Cox 2016-08-25 02:16:49 UTC
plasma-applet-weather-widget-1.6.7.3 was created to addition additional build requirements to assist in F25 build which was failing.  Discovered that F25 build was failing because of missing packages due to F25 alpha freeze.  Created ~1.6.7.4 update to backout changes introduced by ~1.6.7.3

Comment 12 Fedora Update System 2016-08-25 10:31:25 UTC
plasma-applet-weather-widget-1.6.7-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8809eec46

Comment 13 Fedora Update System 2016-08-30 02:49:52 UTC
plasma-applet-weather-widget-1.6.7-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9adc606b69

Comment 14 Fedora Update System 2016-08-31 03:52:24 UTC
plasma-applet-weather-widget-1.6.7-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9adc606b69

Comment 15 Fedora Update System 2016-09-02 20:53:22 UTC
plasma-applet-weather-widget-1.6.7-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-09-04 17:40:04 UTC
plasma-applet-weather-widget-1.6.7-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.